/*-------------------------------*-C++-*--------------------------------*
 * File:	protos.h
 *----------------------------------------------------------------------*
 * All portions of code are copyright by their respective author/s.
 * Copyright (c) 2002 Geoff Wing <gcw@pobox.com>
 * 				- rxvt
 * Copyright (c) 2002      Gilles Filippini <pini@free.fr>
 *        - FXvt
 *
 * This file is part of FXvt.
 *
 * FXvt is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * FXvt is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FXvt; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *---------------------------------------------------------------------*/

/* Include prototypes for all files */
#include "command.extpro"

#include "defaultfont.extpro"

#ifdef RXVT_GRAPHICS
# include "graphics.extpro"
#endif
#ifdef GREEK_SUPPORT
# include "grkelot.extpro"
#endif

#include "init.extpro"

#ifdef UTMP_SUPPORT
# include "logging.extpro"
#endif

#include "main.extpro"

#ifdef MENUBAR
# include "menubar.extpro"
#endif

#include "misc.extpro"

#ifdef DISPLAY_IS_IP
# include "netdisp.extpro"
#endif

#include "ptytty.extpro"

#if !defined(NO_STRINGS) && !defined(HAVE_STRING_H)
# include "strings.extpro"
#endif

#include "screen.extpro"

#include "scrollbar.extpro"
#ifdef RXVT_SCROLLBAR
# include "scrollbar-rxvt.extpro"
#endif
#ifdef NEXT_SCROLLBAR
# include "scrollbar-next.extpro"
#endif
#ifdef XTERM_SCROLLBAR
# include "scrollbar-xterm.extpro"
#endif

#include "xdefaults.extpro"

#ifdef XPM_BACKGROUND
# include "xpm.extpro"
#endif
